#
# spec file for package enca
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           enca
Summary:        Detects encoding of text files
License:        GPL-2.0
Group:          Productivity/Other
Version:        1.15
Release:        6.3
Url:            http://cihar.com/software/enca/
Source:         http://dl.cihar.com/%{name}/%{name}-%{version}.tar.bz2
Source1:        baselibs.conf
Requires:       sed
%define         gtk_doc %{_datadir}/gtk-doc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkgconfig

%description
Enca is an Extremely Naive Charset Analyser. It detects character set and
encoding of text files and can also convert them to other encodings using
either a built-in converter or external libraries and tools like libiconv,
librecode, or cstocs.

Currently, it has support for Belarussian, Bulgarian, Croatian, Czech,
Estonian, Latvian, Lithuanian, Polish, Russian, Slovak, Slovene, Ukrainian,
Chinese, and some multibyte encodings (mostly variants of Unicode)
independent on the language.

This package also contains shared Enca library other programs can make use of.

Install Enca if you need to cope with text files of dubious origin
and unknown encoding and convert them to some reasonable encoding.

%package -n libenca0
Summary:        Header files and libraries for Enca development
Group:          System/Libraries

%description -n libenca0
The enca-devel package contains the static libraries and header files
for writing programs using the Extremely Naive Charset Analyser library,
and its API documentation.

Install enca-devel if you are going to create applications using the Enca
library.

%package devel
Requires:       glibc-devel
Requires:       libenca0 = %{version}
Summary:        Header files and libraries for Enca development
Group:          Development/Libraries/C and C++

%description devel
The enca-devel package contains the static libraries and header files
for writing programs using the Extremely Naive Charset Analyser library,
and its API documentation.

Install enca-devel if you are going to create applications using the Enca
library.

%prep
%setup -q

%build
%configure --disable-static --without-librecode
make %{?_smp_mflags}

%install
%makeinstall HTML_DIR=%{gtk_doc}/html
# the .la file is not needed without static libs
rm %{buildroot}/%{_libdir}/libenca.la

%post -n libenca0 -p /sbin/ldconfig

%postun -n libenca0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog* FAQ README THANKS TODO
%{_bindir}/enc*
%{_libexecdir}/enca
%{_mandir}/man1/enc*.1*

%files -n libenca0
%defattr(-,root,root)
%{_libdir}/libenca.so.0*

%files devel
%defattr(-,root,root)
%doc README.devel
%{_datadir}/gtk-doc/html/*
# Own these repositories to not depend on gtk-doc while building:
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_includedir}/enca.h
%{_libdir}/libenca.so
%{_libdir}/pkgconfig/enca.pc

%changelog
* Thu Oct  3 2013 mcihar@suse.cz
- Fixed upstream URL in spec file
* Mon Sep 30 2013 mcihar@suse.cz
- update to 1.15:
  + Documentation improvement
  + Development moved to GitHub
  + Do not use deprecated autoconf macros
* Tue Mar 26 2013 mmeister@suse.com
- Added url as source.
  Please see http://en.opensuse.org/SourceUrls
* Sun Dec 16 2012 lars@linux-schulserver.de
- update to 1.14:
  + Allow standard names for belarusian and slovenian languages,
    thanks to Branislav Geržo for suggestion.
  + Reset strictness when check buffer less than file size,
    thanks to Sam Liao.
  + Fixed typos in man page, thanks to A. Costa.
* Wed Feb 15 2012 lars@linux-schulserver.de
- fix license to be in spdx format
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant/obsolete tags/sections from specfile
  (cf. packaging guidelines)
- Use %%_smp_mflags for parallel build
* Thu Apr 14 2011 toddrme2178@gmail.com
- added 32bit compatibility libraries
- removed tests for obsolete openSUSE versions
* Wed May  5 2010 mcihar@suse.cz
- change buildrequire to pkgconfig to build also on other distros
* Wed May  5 2010 mcihar@suse.cz
- update to 1.13
* Sat Apr 24 2010 coolo@novell.com
- buildreqire pkg-config to fix provides
* Thu Oct 29 2009 mcihar@suse.cz
- update to version 1.12
* Fri Sep 25 2009 mcihar@suse.cz
- update to version 1.11
* Tue Aug 25 2009 mcihar@suse.cz
- build without recode support
* Tue Aug 25 2009 mcihar@suse.cz
- update to new upstream and version 1.10
* Tue Aug 11 2009 sbrabec@suse.cz
- Split according to shared library packaging rules.
* Mon Sep 22 2008 lars@linux-schulserver.de
- moved to Education base repository
* Mon Mar 17 2008 lars@linux-schulserver.de
- build for openSUSE-Education
- beautify specfile
- don't build static binaries
- Require glibc-devel for the devel package
- own %%{_datadir}/gtk-doc/html to avoid gtk-doc dependency
* Sat Sep  1 2007 16:45:00 CET - michel.sylvan@gmail.com
- Strip debugging info into separate subpackage
* Wed Aug 29 2007 14:35:00 CET  - michel.sylvan@gmail.com
- Initial package
